% File: figure12.m
% Author: Sarah Chen 
% Nov. 2007
% Function: Plot Figure 12 in "Decentralized Cognitive MAC for Opportunistic Spectrum 
%           Access in Ad Hoc Networks: A POMDP Framework"
clear; close;
numberOfChannels = 3;
T = 30;

channelBandwidth = 1;
prob0to1 = 0.2;
prob1to1 = 0.8;
avgReward(1,:) = greedySensing(numberOfChannels, channelBandwidth, prob0to1, prob1to1, T);

prob0to1 = 0.8;
prob1to1 = 0.2;
avgReward(2,:) = greedySensing(numberOfChannels, channelBandwidth, prob0to1, prob1to1, T);

prob0to1 = 0.5;
prob1to1 = 0.5;
avgReward(3,:) = greedySensing(numberOfChannels, channelBandwidth, prob0to1, prob1to1, T);

figure(1);
plot(1:T, avgReward(1,:), 1:T, avgReward(2,:), '-.', 1:T, avgReward(3,:), '--');
legend('Case 1: \alpha = 0.2, \beta = 0.8', 'Case 2: \alpha = 0.8, \beta = 0.2', ...
    'Case 3: \alpha = 0.5, \beta = 0.5');
xlabel('T');
ylabel('Throughput of secondary user (bits per slot)');
saveas(gcf, 'figure12', 'fig');
