% File: figure15.m
% Author: Sarah Chen 
% Nov. 2007
% Function: Plot Figure 15 in "Decentralized Cognitive MAC for Opportunistic Spectrum 
%           Access in Ad Hoc Networks: A POMDP Framework"
clear; close;

pktArrivalRate = 0.02:0.02:0.2;
for i = 1 : length(pktArrivalRate)
    avgReward(1,i) = multiUserGreedy(pktArrivalRate(i));
    avgReward(2,i) = multiUserRandom(pktArrivalRate(i));
end

figure(1); 
plot(pktArrivalRate, avgReward(1,:), '-o', pktArrivalRate, avgReward(2,:), '--+');
legend('Greedy', 'Random');
xlabel('Message Arrival Rate');
ylabel('Throughput of secondary users (bits per slot)');

saveas(gcf, 'figure15', 'fig');